Altibase.jdbc.driver.sharding.merger

## Class IteratorStreamResultSetMerger

- java.lang.Object
- - Altibase.jdbc.driver.sharding.merger.AbstractStreamResultSetMerger
  - - Altibase.jdbc.driver.sharding.merger.IteratorStreamResultSetMerger

All Implemented Interfaces:
  ResultSetMerger

    public class IteratorStreamResultSetMerger
    extends AbstractStreamResultSetMerger

### Constructor Summary

Constructors
Constructor and Description
`IteratorStreamResultSetMerger(java.util.List<java.sql.ResultSet> aResultSets)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `next()` 다음 데이터를 반복한다.

### Methods inherited from class Altibase.jdbc.driver.sharding.merger.AbstractStreamResultSetMerger

`getCurrentResultSet`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IteratorStreamResultSetMerger

    public IteratorStreamResultSetMerger(java.util.List<java.sql.ResultSet> aResultSets)

### Method Detail

#### next

    public boolean next()
                 throws java.sql.SQLException

Description copied from interface: `ResultSetMerger`
다음 데이터를 반복한다.

Returns:
  다음 데이터
Throws:
  `java.sql.SQLException` - SQL Exception